Runtime

## org.eclipse.gmf.runtime.diagram.ui.services.decorator
Interface IDecorator

All Known Implementing Classes:
  AbstractDecorator

public interface IDecorator

Clients providing an extension to the DecoratorService need to create a decorator class that implements the IDecorator interface. This is the interface that a decorator must implement. A decorator is installed on a decorator target to which it will add decoration figures.

See Also:
  `IDecoratorProvider`

Method Summary
`void` `activate()` Activates this decorator.
`void` `deactivate()` Deactivates this decorator, the inverse of `IDecorator.activate()`.
`void` `refresh()` Refreshes the decorations.

Method Detail

### activate

    public void activate()

  Activates this decorator. The decorator might need to hook listeners. These listeners should be unhooked in `deactivate()`.

  See Also:
    `IDecorator.deactivate()`

### deactivate

    public void deactivate()

  Deactivates this decorator, the inverse of `IDecorator.activate()`. Deactivate is called when the host decorator target is deactivated. Deactivate unhooks any listeners, and removes decoration figures that have been added.

  See Also:
    `IDecorator.activate()`

### refresh

    public void refresh()

  Refreshes the decorations. This is called when the host decorator target is refreshed.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.